Bug 12464 - Bootstrap XSLT view no longer displaying 505 correctly formatted
Summary: Bootstrap XSLT view no longer displaying 505 correctly formatted
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-06-22 08:32 UTC by Katrin Fischer
Modified: 2015-06-04 23:30 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:


Attachments
Bootstrap detail page - 505 formatting missing (81.17 KB, image/png)
2014-06-22 08:32 UTC, Katrin Fischer
Details
Staff detail page - 505 formatting present (59.27 KB, image/png)
2014-06-22 08:33 UTC, Katrin Fischer
Details
Bug 12464 - Bootstrap XSLT view no longer displaying 505 correctly formatted (85.40 KB, patch)
2014-06-26 18:18 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 12464 - Bootstrap XSLT view no longer displaying 505 correctly formatted (85.65 KB, patch)
2014-06-28 19:34 UTC, Marc Véron
Details | Diff | Splinter Review
[PASSED QA] Bug 12464 - Bootstrap XSLT view no longer displaying 505 correctly formatted (85.77 KB, patch)
2014-06-28 19:59 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2014-06-22 08:32:15 UTC
Created attachment 29142 [details]
Bootstrap detail page - 505 formatting missing

Bug 6617 introduced a nicer display for the 505 footnotes in OPAC and staff. In staff this is still working correctly, but in Bootstrap the footnote is not correctly formatted.
Comment 1 Katrin Fischer 2014-06-22 08:33:37 UTC
Created attachment 29143 [details]
Staff detail page - 505 formatting present
Comment 2 Owen Leonard 2014-06-26 18:18:39 UTC Comment hidden (obsolete)
Comment 3 Marc Véron 2014-06-28 19:34:11 UTC Comment hidden (obsolete)
Comment 4 Katrin Fischer 2014-06-28 19:59:05 UTC
Created attachment 29349 [details] [review]
[PASSED QA] Bug 12464 - Bootstrap XSLT view no longer displaying 505 correctly formatted

505 contents notes are not displayed correctly in the Bootstrap theme
because the relevant CSS was not included in the transfer from prog.
This patch adds it.

To test, apply the patch and view a record in the OPAC which contains a
505 note with contents details. Clear your browser cache if
necessary. The contents should appear correctly, with a line break for
each entry.

I tested with the same biblio as shown in attachment #1 (imported from Library of Congress)
After applying patch the record displays the same as in prog theme
Signed-off-by: Marc Véron <veron@veron.ch>

Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
CSS change only. Works as expected, no problems found.
Comment 5 Katrin Fischer 2014-06-28 20:01:14 UTC
The font size for the contents note seems a little smaller than the other text - I am not sure if that was intentional? In staff the font sizes seem to be the consistent.
Comment 6 Chris Cormack 2014-06-29 22:32:26 UTC
Pushed to MM-OPAC/12464
Comment 7 Tomás Cohen Arazi 2014-06-30 15:14:16 UTC
Patch pushed to master.

Thanks Owen!
Comment 8 Galen Charlton 2014-07-23 21:32:22 UTC
Pushed to 3.16.x for inclusion in 3.16.2.